<template>
  <div id="app">
    <router-view></router-view>
  </div>
</template>

<script>
  export default {
    name: 'y-ide',
  }
</script>

<style>

  /* Basic spacing */
  * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
  }

  /* General rem specification */
  html { font-size: 62.5%; }  /* =10px */
  body { font-size: 1.4rem; } /* =14px */
  h1   { font-size: 2.4rem; } /* =24px */

  /* @import url('https://fonts.googleapis.com/css?family=Source+Sans+Pro'); */
  /* @import url('https://fonts.googleapis.com/css?family=Roboto+Mono&display=swap'); */
  @import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;800&display=swap');
  @import url('https://fonts.googleapis.com/css2?family=Istok+Web:wght@400;700&display=swap');
  @import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

  /* Font */
  body { 
    /*font-family: 'Source Sans Pro', sans-serif; }
      font-family: Roboto, "Noto Sans", "Noto Sans JP", "Noto Sans KR", "Noto Naskh Arabic", "Noto Sans Thai", "Noto Sans Hebrew", "Noto Sans Bengali", sans-serif; */
    font-family: 'Lato', 'Istok Web', 'Open Sans', sans-serif;
    overflow-x:hidden;
  }

</style>
